Channels
Telegram pairing management. Requires channels scope.
Returns pending Telegram pairing requests for an agent. Requires channels scope.
API key sent as Bearer token. Two types:
- Master key (
g_master_...): full access to all agents and endpoints. - Agent key (
g_agent_...): scoped to a single agent with specific permissions.
List of pairing requests
No content
Unauthorized — Invalid or missing API key
Forbidden — Key lacks the required scope
GET /api/v1/agents/{id}/channels/telegram/pairing HTTP/1.1
Host: api.guayaba.run
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Returns approved Telegram pairings for an agent. Requires channels scope.
API key sent as Bearer token. Two types:
- Master key (
g_master_...): full access to all agents and endpoints. - Agent key (
g_agent_...): scoped to a single agent with specific permissions.
List of approved pairings
No content
Unauthorized — Invalid or missing API key
Forbidden — Key lacks the required scope
GET /api/v1/agents/{id}/channels/telegram/pairing/approved HTTP/1.1
Host: api.guayaba.run
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Approves a pending Telegram pairing request. Requires channels scope.
API key sent as Bearer token. Two types:
- Master key (
g_master_...): full access to all agents and endpoints. - Agent key (
g_agent_...): scoped to a single agent with specific permissions.
The pairing code shown to the Telegram user
Pairing approved
No content
Unauthorized — Invalid or missing API key
Forbidden — Key lacks the required scope
POST /api/v1/agents/{id}/channels/telegram/pairing/approve HTTP/1.1
Host: api.guayaba.run
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"code": "text"
}No content
Revokes an approved Telegram pairing. Requires channels scope.
API key sent as Bearer token. Two types:
- Master key (
g_master_...): full access to all agents and endpoints. - Agent key (
g_agent_...): scoped to a single agent with specific permissions.
Telegram user ID to revoke
Pairing revoked
No content
Unauthorized — Invalid or missing API key
Forbidden — Key lacks the required scope
POST /api/v1/agents/{id}/channels/telegram/pairing/revoke HTTP/1.1
Host: api.guayaba.run
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"userId": "text"
}No content
Rejects a pending Telegram pairing request. Requires channels scope.
API key sent as Bearer token. Two types:
- Master key (
g_master_...): full access to all agents and endpoints. - Agent key (
g_agent_...): scoped to a single agent with specific permissions.
The pairing code to reject
Pairing rejected
No content
Unauthorized — Invalid or missing API key
Forbidden — Key lacks the required scope
POST /api/v1/agents/{id}/channels/telegram/pairing/reject HTTP/1.1
Host: api.guayaba.run
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"code": "text"
}No content
Last updated